"use strict";
var keys_1 = require('../../keys');
var abilities_1 = require('../abilities');
var Hit = (function () {
    function Hit(key) {
        this.key = key;
    }
    Hit.the = function (key) {
        return new Hit(key);
    };
    Hit.prototype.into = function (target) {
        return new HitKeyIntoTarget(target, this.key);
    };
    return Hit;
}());
exports.Hit = Hit;
var HitKeyIntoTarget = (function () {
    function HitKeyIntoTarget(target, key) {
        var _this = this;
        this.target = target;
        this.key = key;
        this.keyname = function () { return keys_1.keyNameOf(_this.key); }; // tslint:disable-line:no-unused-variable
    }
    HitKeyIntoTarget.prototype.performAs = function (actor) {
        return abilities_1.BrowseTheWeb.as(actor).locate(this.target).sendKeys(this.key);
    };
    return HitKeyIntoTarget;
}());

//# sourceMappingURL=hit.js.map
