import { Activity, Outcome, PhotoReceipt, Scene } from './model';
export declare class DomainEvent<T> {
    value: T;
    timestamp: number;
    private type;
    constructor(value: T, timestamp?: number);
    toString(): string;
}
export declare class SceneStarts extends DomainEvent<Scene> {
}
export declare class ActivityStarts extends DomainEvent<Activity> {
}
export declare class ActivityFinished extends DomainEvent<Outcome<Activity>> {
}
export declare class SceneFinished extends DomainEvent<Outcome<Scene>> {
}
export declare class PhotoAttempted extends DomainEvent<PhotoReceipt> {
}
