import { Performable } from '../screenplay';
import { StageManager } from '../stage';
export declare class Step {
    private stageManager;
    constructor(stageManager: StageManager);
    describedUsing<T extends Performable>(template: string): StepAnnotation<T>;
    private beforeStep(activity);
    private afterStep(activity);
    private onFailure(activity, error);
}
export declare function step<T extends Performable>(stepDescriptionTemplate: string): StepAnnotation<T>;
export declare type PerformAsMethodSignature = TypedPropertyDescriptor<(PerformsTasks) => PromiseLike<void>>;
export interface StepAnnotation<T extends Performable> {
    (target: T, propertyKey: string, descriptor: PerformAsMethodSignature): PerformAsMethodSignature;
}
